Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.
GET
/
AgentTestRun
/
{runId}
Get a run
curl --request GET \ --url https://api.starleads.co/AgentTestRun/{runId} \ --header 'X-Api-Key: <api-key>'
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Starleads api docs","colors":{"primary":"#FF5B22","light":"#fe8c74","dark":"#FF5B22"},"favicon":"https://mintcdn.com/locuta/tZlUd6iyAfQwa0YL/logo/favicon.svg?fit=max\u0026auto=format\u0026n=tZlUd6iyAfQwa0YL\u0026q=85\u0026s=967e53c47421a4ed3c5adccac9a32e37","logo":{"light":"https://mintcdn.com/locuta/nbODknSPetkh4479/logo/logo-light.png?fit=max\u0026auto=format\u0026n=nbODknSPetkh4479\u0026q=85\u0026s=0c3dc57cc8eb4727a18bea5b413cfc61","dark":"https://mintcdn.com/locuta/nbODknSPetkh4479/logo/logo-dark.png?fit=max\u0026auto=format\u0026n=nbODknSPetkh4479\u0026q=85\u0026s=b9a5ae7998f0db400ea8722f90609ed5"},"api":{"openapi":"api-reference/openapi.json","mdx":{"server":"https://api.starleads.co","auth":{"method":"key","name":"X-Api-Key"}}},"navbar":{"primary":{"type":"button","label":"Log in","href":"https://app.starleads.co"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/starleads-co","website":"https://starleads.co"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"locuta","hasAudioNarration":false,"actualSubdomain":"locuta","customDomains":["docs.starleads.co"],"gitSource":{"type":"github","owner":"locuta","repo":"starleads-public-gateway","deployBranch":"mintifly","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ab11ae5ebb61b9bf7312a43","collectionId":"4cf50806-03bb-46b2-9027-a2d8bbba048f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ab11ae5ebb61b9bf7312a43"},"entitlements":{},"buildId":"6ab11ae5ebb61b9bf7312a43","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"API Reference","count":71},{"language":"default","tag":"Agents","count":10},{"language":"default","tag":"Agent Tests","count":8},{"language":"default","tag":"Documentation","count":8},{"language":"default","tag":"Campaign Items","count":7},{"language":"default","tag":"Knowledge Base — Documents","count":7},{"language":"default","tag":"Agent Test Folders","count":5},{"language":"default","tag":"Knowledge Base — Datasets","count":5},{"language":"default","tag":"Knowledge Base — Chats","count":5},{"language":"default","tag":"Knowledge Base — Knowledge Graph","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/agenttestrun/get-a-run","slug":"/api-reference/agenttestrun/get-a-run","pageMetadata":{"title":"Get a run","openapi":"GET /AgentTestRun/{runId}","description":"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.","href":"/api-reference/agenttestrun/get-a-run"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get a run","openapi":"GET /AgentTestRun/{runId}","description":"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.","href":"/api-reference/agenttestrun/get-a-run"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["AgentTestRun"],"summary":"Get a run","description":"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.","operationId":"GetAgentTestRun","parameters":["f59b5e2d-6718-45ac-8ad6-c75a2532baab","c2f20de8-0787-4483-8fac-a26cf81f6bd9"],"responses":{"200":"6e3e6ef1-fa06-4ad9-b2ec-0ac39e98e6d3","401":"d8372e56-8923-48b2-947f-a78366d8ac34","404":"69447c36-1a66-4cac-8eb2-3edb7e0a0d90"},"method":"get","type":"path","servers":[],"security":[],"path":"/AgentTestRun/{runId}","baseUrlOptions":["https://api.starleads.co"],"title":"Get a run","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"f59b5e2d-6718-45ac-8ad6-c75a2532baab":{"name":"X-Api-Key","in":"header","description":"Api key to pass as a ```X-Api-Key``` request header.","required":true,"schema":{"type":"string","isRequired":true,"description":"Api key to pass as a ```X-Api-Key``` request header.","uniqueKey":"","typeLabel":"string"}},"c2f20de8-0787-4483-8fac-a26cf81f6bd9":{"name":"runId","in":"path","description":"ID of the run.","required":true,"schema":{"type":"string","isRequired":true,"description":"ID of the run.","uniqueKey":"","typeLabel":"string"}}},"responses":{"6e3e6ef1-fa06-4ad9-b2ec-0ac39e98e6d3":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","uniqueKey":"id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"id.oneOf.1","typeLabel":"null"}],"uniqueKey":"id","typeLabel":"string | null"},"testId":{"oneOf":[{"type":"string","uniqueKey":"testId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"testId.oneOf.1","typeLabel":"null"}],"uniqueKey":"testId","typeLabel":"string | null"},"agentId":{"oneOf":[{"type":"string","uniqueKey":"agentId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"agentId.oneOf.1","typeLabel":"null"}],"uniqueKey":"agentId","typeLabel":"string | null"},"kind":{"enum":["Simulation","Classification"],"type":"string","uniqueKey":"kind","typeLabel":"enum\u003cstring>"},"executionId":{"oneOf":[{"type":"string","description":"Execution (launch) this run was created by","uniqueKey":"executionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution (launch) this run was created by","uniqueKey":"executionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"executionId","typeLabel":"string | null"},"attempt":{"type":"integer","description":"Position of this run among the repetitions of its test in the execution (1..repetitions)","format":"int32","uniqueKey":"attempt","typeLabel":"integer\u003cint32>"},"status":{"enum":["Queued","Running","Passed","Failed","Error","Cancelled"],"type":"string","uniqueKey":"status","typeLabel":"enum\u003cstring>"},"errorReason":{"oneOf":[{"type":"string","description":"Human-readable reason when status is Error","uniqueKey":"errorReason.oneOf.0","typeLabel":"string"},{"type":"null","description":"Human-readable reason when status is Error","uniqueKey":"errorReason.oneOf.1","typeLabel":"null"}],"uniqueKey":"errorReason","typeLabel":"string | null"},"errorDetail":{"oneOf":[{"type":"string","description":"Technical detail of the error, for diagnosis","uniqueKey":"errorDetail.oneOf.0","typeLabel":"string"},{"type":"null","description":"Technical detail of the error, for diagnosis","uniqueKey":"errorDetail.oneOf.1","typeLabel":"null"}],"uniqueKey":"errorDetail","typeLabel":"string | null"},"agentChangeId":{"oneOf":[{"type":"string","description":"Identifier of the latest change of the agent when the run was launched","uniqueKey":"agentChangeId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Identifier of the latest change of the agent when the run was launched","uniqueKey":"agentChangeId.oneOf.1","typeLabel":"null"}],"uniqueKey":"agentChangeId","typeLabel":"string | null"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"createdAt","typeLabel":"string\u003cdate-time>"},"dispatchedAt":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"dispatchedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"dispatchedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"dispatchedAt","typeLabel":"string\u003cdate-time> | null"},"finishedAt":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"finishedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"finishedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"finishedAt","typeLabel":"string\u003cdate-time> | null"},"simulation":{"type":"object","properties":{"transcript":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"role":{"oneOf":[{"type":"string","description":"\"user\" or \"assistant\"","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].role.oneOf.0","typeLabel":"string"},{"type":"null","description":"\"user\" or \"assistant\"","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].role.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].role","typeLabel":"string | null"},"text":{"oneOf":[{"type":"string","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].text.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].text.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].text","typeLabel":"string | null"},"timestamp":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].timestamp.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].timestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX].timestamp","typeLabel":"string\u003cdate-time> | null"}},"additionalProperties":false,"description":"One message of a conversation","uniqueKey":"simulation.transcript.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Full conversation, including the agent opening message when there is one","uniqueKey":"simulation.transcript.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"role":{"oneOf":[{"type":"string","description":"\"user\" or \"assistant\""},{"type":"null","description":"\"user\" or \"assistant\""}]},"text":{"oneOf":[{"type":"string"},{"type":"null"}]},"timestamp":{"oneOf":[{"type":"string","format":"date-time"},{"type":"null","format":"date-time"}]}},"additionalProperties":false,"description":"One message of a conversation"},"description":"Full conversation, including the agent opening message when there is one","uniqueKey":"simulation.transcript.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.transcript","typeLabel":"object[] | null"},"verdicts":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"criterion":{"oneOf":[{"type":"string","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].criterion.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].criterion.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].criterion","typeLabel":"string | null"},"passed":{"type":"boolean","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].passed","typeLabel":"boolean"},"reason":{"oneOf":[{"type":"string","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].reason.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].reason","typeLabel":"string | null"},"score":{"oneOf":[{"type":"number","description":"Score between 0 and 1 when available","format":"double","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].score.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","description":"Score between 0 and 1 when available","format":"double","uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].score.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX].score","typeLabel":"number\u003cdouble> | null"}},"additionalProperties":false,"uniqueKey":"simulation.verdicts.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"One verdict per criterion, in the order of the test criteria","uniqueKey":"simulation.verdicts.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"criterion":{"oneOf":[{"type":"string"},{"type":"null"}]},"passed":{"type":"boolean"},"reason":{"oneOf":[{"type":"string"},{"type":"null"}]},"score":{"oneOf":[{"type":"number","description":"Score between 0 and 1 when available","format":"double"},{"type":"null","description":"Score between 0 and 1 when available","format":"double"}]}},"additionalProperties":false},"description":"One verdict per criterion, in the order of the test criteria","uniqueKey":"simulation.verdicts.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.verdicts","typeLabel":"object[] | null"},"variablesUsed":{"oneOf":[{"type":"object","additionalProperties":{"type":"string","uniqueKey":"simulation.variablesUsed.oneOf.0.additionalProperties","typeLabel":"string"},"uniqueKey":"simulation.variablesUsed.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"type":"string","uniqueKey":"simulation.variablesUsed.oneOf.1.additionalProperties","typeLabel":"string"},"uniqueKey":"simulation.variablesUsed.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.variablesUsed","typeLabel":"object | null"},"turns":{"type":"integer","description":"Number of user/agent exchanges","format":"int32","uniqueKey":"simulation.turns","typeLabel":"integer\u003cint32>"},"endReason":{"oneOf":[{"type":"string","description":"agent_ended | user_ended | max_turns | error","uniqueKey":"simulation.endReason.oneOf.0","typeLabel":"string"},{"type":"null","description":"agent_ended | user_ended | max_turns | error","uniqueKey":"simulation.endReason.oneOf.1","typeLabel":"null"}],"uniqueKey":"simulation.endReason","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"simulation","typeLabel":"object"},"classification":{"type":"object","properties":{"tagProduced":{"oneOf":[{"type":"string","uniqueKey":"classification.tagProduced.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"classification.tagProduced.oneOf.1","typeLabel":"null"}],"uniqueKey":"classification.tagProduced","typeLabel":"string | null"},"matches":{"type":"boolean","description":"True when the produced tag equals the expected tag","uniqueKey":"classification.matches","typeLabel":"boolean"}},"additionalProperties":false,"uniqueKey":"classification","typeLabel":"object"}},"additionalProperties":false,"description":"One run of a test inside an execution","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","testId":"\u003cstring>","agentId":"\u003cstring>","kind":"Simulation","executionId":"\u003cstring>","attempt":123,"status":"Queued","errorReason":"\u003cstring>","errorDetail":"\u003cstring>","agentChangeId":"\u003cstring>","createdAt":"2023-11-07T05:31:56Z","dispatchedAt":"2023-11-07T05:31:56Z","finishedAt":"2023-11-07T05:31:56Z","simulation":{"transcript":[{"role":"\u003cstring>","text":"\u003cstring>","timestamp":"2023-11-07T05:31:56Z"}],"verdicts":[{"criterion":"\u003cstring>","passed":true,"reason":"\u003cstring>","score":123}],"variablesUsed":{},"turns":123,"endReason":"\u003cstring>"},"classification":{"tagProduced":"\u003cstring>","matches":true}}}},"exampleType":"generated"}},"exampleType":"generated"},"d8372e56-8923-48b2-947f-a78366d8ac34":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"\u003cstring>","title":"\u003cstring>","status":123,"detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"69447c36-1a66-4cac-8eb2-3edb7e0a0d90":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"\u003cstring>","title":"\u003cstring>","status":123,"detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"99148bc6-d813-4eda-b0e1-4480d9b2eb7c":{"Key":{"name":"X-Api-Key","type":"apiKey","in":"header"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"name":"X-Api-Key","type":"apiKey","in":"header"},"schema":{"title":"X-Api-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"Key","name":"X-Api-Key"}],"title":"Key"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"locuta","siteName":"Starleads api docs","title":"Get a run - Starleads api docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-11T18:29:29.515Z","originalFileLocation":"api-reference/agenttestrun/get-a-run.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Starleads api docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get a run - Starleads api docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Starleads api docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://locuta.mintlify.app/_mintlify/api/og/v2?division=Agent+Test+Runs\u0026amp;title=Get+a+run\u0026amp;description=Returns+a+run+with+its+status%2C+its+execution+and+attempt+number+and%2C+once+finished%2C+its+result%3A+transcript+and+per-criterion+verdicts+for+a+simulation%2C+produced\u0026amp;theme=5c5c29653f72fde3c80fdcde\u0026amp;signature=cd5e6507d97177c13954767534104a2d46dc52cb4a7b722edb9e58b386b632ce\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get a run - Starleads api docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://locuta.mintlify.app/_mintlify/api/og/v2?division=Agent+Test+Runs\u0026amp;title=Get+a+run\u0026amp;description=Returns+a+run+with+its+status%2C+its+execution+and+attempt+number+and%2C+once+finished%2C+its+result%3A+transcript+and+per-criterion+verdicts+for+a+simulation%2C+produced\u0026amp;theme=5c5c29653f72fde3c80fdcde\u0026amp;signature=cd5e6507d97177c13954767534104a2d46dc52cb4a7b722edb9e58b386b632ce\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/locuta/ynlCpXqW2nrSkjmQ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Starleads api docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF5B22\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/agenttestrun/get-a-run.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.starleads.co/#organization\",\"name\":\"Starleads api docs\",\"url\":\"https://docs.starleads.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/locuta/nbODknSPetkh4479/logo/logo-light.png?fit=max\u0026auto=format\u0026n=nbODknSPetkh4479\u0026q=85\u0026s=0c3dc57cc8eb4727a18bea5b413cfc61\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.starleads.co#website\",\"name\":\"Starleads api docs\",\"url\":\"https://docs.starleads.co\",\"publisher\":{\"@id\":\"https://docs.starleads.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run#webpage\",\"url\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run\",\"name\":\"Get a run\",\"description\":\"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.\",\"dateModified\":\"2026-09-11T18:29:29.515Z\",\"isPartOf\":{\"@id\":\"https://docs.starleads.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Starleads api docs\",\"item\":\"https://docs.starleads.co\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get a run\",\"item\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run#apireference\",\"headline\":\"Get a run\",\"name\":\"Get a run\",\"description\":\"Returns a run with its status, its execution and attempt number and, once finished, its result: transcript and per-criterion verdicts for a simulation, produced tag for a classification.\",\"url\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run\",\"mainEntityOfPage\":{\"@id\":\"https://docs.starleads.co/api-reference/agenttestrun/get-a-run#webpage\"},\"dateModified\":\"2026-09-11T18:29:29.515Z\",\"publisher\":{\"@id\":\"https://docs.starleads.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.starleads.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Starleads api docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Starleads api docs","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":{"name":"book-open","style":"duotone"},"pages":[{"title":"Documentation","href":"/documentation/get-started"}]},{"anchor":"API Reference","icon":{"name":"square-terminal","style":"duotone"},"groups":[{"group":"API Reference","pages":[{"title":"API Reference","mode":"wide","href":"/api-reference/introduction"}]},{"group":"Consumption","pages":[{"title":"Get the current consumption","openapi":"GET /Consumption","href":"/api-reference/consumption/get-current-consumption"},{"title":"Get the consumption breakdown","openapi":"GET /Consumption/breakdown","href":"/api-reference/consumption/get-consumption-breakdown"},{"title":"List consumption transactions","openapi":"GET /Consumption/transactions","href":"/api-reference/consumption/get-consumption-transactions"}]},{"group":"Subscription","pages":[{"title":"Get the subscription contract","openapi":"GET /Subscription","href":"/api-reference/subscription/get-subscription-contract"}]},{"group":"Campaigns","pages":[{"title":"Get all campaigns","openapi":"GET /Campaign","href":"/api-reference/campaign/get-all-campaigns"},{"title":"Create a campaign","openapi":"POST /Campaign","href":"/api-reference/campaign/create-a-campaign"}]},{"group":"Campaign Items","pages":[{"title":"Get campaign items with filters","openapi":"GET /CampaignItem/{campaignId}/items","href":"/api-reference/campaignitem/get-campaign-items-with-filters"},{"title":"Get all items by phone number","openapi":"GET /CampaignItem/{campaignId}/{phoneNumber}","href":"/api-reference/campaignitem/get-all-items-by-phone-number"},{"title":"Add a new campaign item to a campaign","openapi":"POST /CampaignItem/{campaignId}","href":"/api-reference/campaignitem/add-a-new-campaign-item-to-a-campaign"},{"title":"Add multiple items to a campaign","openapi":"POST /CampaignItem/{campaignId}/bulk-add-items","href":"/api-reference/campaignitem/add-multiple-items-to-a-campaign"},{"title":"Delete an item from a campaign","openapi":"DELETE /CampaignItem/{campaignId}/{itemId}","href":"/api-reference/campaignitem/delete-an-item-from-a-campaign"},{"title":"Get item audio recording","openapi":"GET /CampaignItem/{itemId}/audio","href":"/api-reference/campaignitem/get-item-audio-recording"},{"title":"Delete item audio recording","openapi":"DELETE /CampaignItem/{itemId}/audio","href":"/api-reference/campaignitem/delete-item-audio-recording"}]},{"group":"Campaign Fields","pages":[{"title":"Get campaign's fields","openapi":"GET /CampaignField/{campaignId}","href":"/api-reference/campaignfield/get-campaigns-fields"}]},{"group":"Agents","pages":[{"title":"Get the prompt of an agent","openapi":"GET /Agent/{agentId}/prompt","href":"/api-reference/agent/get-the-prompt-of-an-agent"},{"title":"Update the prompt of an agent","openapi":"PUT /Agent/{agentId}/prompt","href":"/api-reference/agent/update-the-prompt-of-an-agent"},{"title":"Connect a knowledge base chat to an agent","openapi":"PUT /Agent/{agentId}/chat","href":"/api-reference/agent/connect-a-knowledge-base-chat-to-an-agent"},{"title":"Get the chat connected to an agent","openapi":"GET /Agent/{agentId}/chat","href":"/api-reference/agent/get-the-chat-connected-to-an-agent"},{"title":"Detach the chat from an agent","openapi":"DELETE /Agent/{agentId}/chat","href":"/api-reference/agent/detach-the-chat-from-an-agent"},{"title":"Get an agent","openapi":"GET /Agent/{agentId}","href":"/api-reference/agent/get-an-agent"},{"title":"List the tools connected to an agent","openapi":"GET /Agent/{agentId}/tools","href":"/api-reference/agent/list-the-tools-connected-to-an-agent"},{"title":"Connect a tool to an agent","openapi":"PUT /Agent/{agentId}/tools/{toolId}","href":"/api-reference/agent/connect-a-tool-to-an-agent"},{"title":"Disconnect a tool from an agent","openapi":"DELETE /Agent/{agentId}/tools/{toolId}","href":"/api-reference/agent/disconnect-a-tool-from-an-agent"},{"title":"Get the history of an agent","openapi":"GET /Agent/{agentId}/history","href":"/api-reference/agent/get-the-history-of-an-agent"}]},{"group":"Simulation Chat","pages":[{"title":"Start a simulation chat with an agent","openapi":"POST /SimulationChat/start","href":"/api-reference/simulationchat/start-a-simulation-chat-with-an-agent"},{"title":"Get a simulation chat","openapi":"GET /SimulationChat/{simulationChatId}","href":"/api-reference/simulationchat/get-a-simulation-chat"},{"title":"Send a message to a simulation chat","openapi":"POST /SimulationChat/send-message","href":"/api-reference/simulationchat/send-a-message-to-a-simulation-chat"}]},{"group":"Agent Tests","pages":[{"title":"List the tests of an agent","openapi":"GET /AgentTest","href":"/api-reference/agenttest/list-the-tests-of-an-agent"},{"title":"Get a test","openapi":"GET /AgentTest/{testId}","href":"/api-reference/agenttest/get-a-test"},{"title":"Delete a test","openapi":"DELETE /AgentTest/{testId}","href":"/api-reference/agenttest/delete-a-test"},{"title":"Create a simulation test","openapi":"POST /AgentTest/simulation","href":"/api-reference/agenttest/create-a-simulation-test"},{"title":"Update a simulation test","openapi":"PUT /AgentTest/simulation/{testId}","href":"/api-reference/agenttest/update-a-simulation-test"},{"title":"Create a classification test","openapi":"POST /AgentTest/classification","href":"/api-reference/agenttest/create-a-classification-test"},{"title":"Update a classification test","openapi":"PUT /AgentTest/classification/{testId}","href":"/api-reference/agenttest/update-a-classification-test"},{"title":"Move tests into a folder","openapi":"POST /AgentTest/move","href":"/api-reference/agenttest/move-tests-into-a-folder"}]},{"group":"Agent Test Folders","pages":[{"title":"List the folders of an agent","openapi":"GET /AgentTestFolder","href":"/api-reference/agenttestfolder/list-the-folders-of-an-agent"},{"title":"Get a folder","openapi":"GET /AgentTestFolder/{folderId}","href":"/api-reference/agenttestfolder/get-a-folder"},{"title":"Create a folder","openapi":"POST /AgentTestFolder","href":"/api-reference/agenttestfolder/create-a-folder"},{"title":"Update a folder","openapi":"PUT /AgentTestFolder/{folderId}","href":"/api-reference/agenttestfolder/update-a-folder"},{"title":"Delete a folder","openapi":"DELETE /AgentTestFolder/{folderId}","href":"/api-reference/agenttestfolder/delete-a-folder"}]},{"group":"Agent Test Executions","pages":[{"title":"Launch tests","openapi":"POST /AgentTestExecution","href":"/api-reference/agenttestexecution/launch-tests"},{"title":"Get an execution","openapi":"GET /AgentTestExecution/{executionId}","href":"/api-reference/agenttestexecution/get-an-execution"},{"title":"List the executions of an agent","openapi":"GET /AgentTestExecution","href":"/api-reference/agenttestexecution/list-the-executions-of-an-agent"},{"title":"Cancel an execution","openapi":"POST /AgentTestExecution/{executionId}/cancel","description":"Cancels every queued or running run of the execution. Finished runs are left untouched; the response lists the runs actually cancelled.","href":"/api-reference/agenttestexecution/cancel-an-execution"}]},{"group":"Agent Test Runs","pages":[{"title":"Get a run","openapi":"GET /AgentTestRun/{runId}","href":"/api-reference/agenttestrun/get-a-run"},{"title":"List runs","openapi":"GET /AgentTestRun","description":"Lists runs newest first, paginated, filtered by agentId, testId, folderId and/or executionId. At least one filter is required; filters combine.","href":"/api-reference/agenttestrun/list-runs"},{"title":"Cancel runs","openapi":"POST /AgentTestRun/cancel","href":"/api-reference/agenttestrun/cancel-runs"}]},{"group":"Knowledge Base — Datasets","pages":[{"title":"List datasets","openapi":"GET /Dataset","href":"/api-reference/dataset/list-datasets"},{"title":"Create a dataset","openapi":"POST /Dataset","href":"/api-reference/dataset/create-a-dataset"},{"title":"Get a dataset","openapi":"GET /Dataset/{datasetId}","href":"/api-reference/dataset/get-a-dataset"},{"title":"Update a dataset","openapi":"PATCH /Dataset/{datasetId}","href":"/api-reference/dataset/update-a-dataset"},{"title":"Delete a dataset","openapi":"DELETE /Dataset/{datasetId}","href":"/api-reference/dataset/delete-a-dataset"}]},{"group":"Knowledge Base — Documents","pages":[{"title":"List documents in a dataset","openapi":"GET /Dataset/{datasetId}/document","href":"/api-reference/document/list-documents-in-a-dataset"},{"title":"Upload documents to a dataset","openapi":"POST /Dataset/{datasetId}/document","href":"/api-reference/document/upload-documents-to-a-dataset"},{"title":"Download a document file","openapi":"GET /Dataset/{datasetId}/document/{documentId}/download","href":"/api-reference/document/download-a-document-file"},{"title":"Update a document","openapi":"PUT /Dataset/{datasetId}/document/{documentId}","href":"/api-reference/document/update-a-document"},{"title":"Delete a document","openapi":"DELETE /Dataset/{datasetId}/document/{documentId}","href":"/api-reference/document/delete-a-document"},{"title":"Trigger document parsing","openapi":"POST /Dataset/{datasetId}/document/parse","href":"/api-reference/document/trigger-document-parsing"},{"title":"Stop document parsing","openapi":"DELETE /Dataset/{datasetId}/document/parse","href":"/api-reference/document/stop-document-parsing"}]},{"group":"Knowledge Base — Chats","pages":[{"title":"List knowledge base chats","openapi":"GET /KnowledgeBaseChat","href":"/api-reference/knowledgebasechat/list-knowledge-base-chats"},{"title":"Create a knowledge base chat","openapi":"POST /KnowledgeBaseChat","href":"/api-reference/knowledgebasechat/create-a-knowledge-base-chat"},{"title":"Get a knowledge base chat","openapi":"GET /KnowledgeBaseChat/{chatId}","href":"/api-reference/knowledgebasechat/get-a-knowledge-base-chat"},{"title":"Update a knowledge base chat","openapi":"PATCH /KnowledgeBaseChat/{chatId}","href":"/api-reference/knowledgebasechat/update-a-knowledge-base-chat"},{"title":"Delete a knowledge base chat","openapi":"DELETE /KnowledgeBaseChat/{chatId}","href":"/api-reference/knowledgebasechat/delete-a-knowledge-base-chat"}]},{"group":"Knowledge Base — Knowledge Graph","pages":[{"title":"Enable knowledge graph on a dataset","openapi":"POST /Dataset/{datasetId}/knowledge-graph/enable","href":"/api-reference/knowledgegraph/enable-knowledge-graph-on-a-dataset"},{"title":"Trigger knowledge graph construction","openapi":"POST /Dataset/{datasetId}/knowledge-graph/build","href":"/api-reference/knowledgegraph/trigger-knowledge-graph-construction"},{"title":"Get knowledge graph build status","openapi":"GET /Dataset/{datasetId}/knowledge-graph/status","href":"/api-reference/knowledgegraph/get-knowledge-graph-build-status"},{"title":"Get the knowledge graph","openapi":"GET /Dataset/{datasetId}/knowledge-graph","href":"/api-reference/knowledgegraph/get-the-knowledge-graph"},{"title":"Delete the knowledge graph","openapi":"DELETE /Dataset/{datasetId}/knowledge-graph","href":"/api-reference/knowledgegraph/delete-the-knowledge-graph"}]}]}]},"title":"Get a run - Starleads api docs","buildId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","deploymentId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-WRhTSUDL.js","utils-ChMov4Kr.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-_REmC2bI.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp6nVRCu.js","snippetPresets-DZadmXoU.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CY2WdoTl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DwYG-Q4l.js","shallow-BXQIGwv4.js","getApiPlaygroundDisplay-CK5nK5B9.js","CodeSnippet-TH4a2aGW.js","CodeSnippets-DwsQiOFS.js","Page-R3M_BF4L.js","getPastedJson-DD7kUzi_.js","icon-holE3QoJ.js","MethodPill-DUW0T8us.js","DuplicateIcon-CI_p4be-.js","createIcon-BdbRvavb.js","DynamicMarkdown-DN96a4Ur.js","SectionHeading-SCu36A9d.js","axios-vUo_bRtp.js","Markdown-CCeGv-zI.js","clsx-BGBGWFTt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Cv_O2fky.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-2C5OB2eV.js"]}